From nobody@FreeBSD.org  Sat Jun 26 20:20:13 2010
Return-Path: <nobody@FreeBSD.org>
Received: from mx1.freebsd.org (mx1.freebsd.org [IPv6:2001:4f8:fff6::34])
	by hub.freebsd.org (Postfix) with ESMTP id E85181065676
	for <freebsd-gnats-submit@FreeBSD.org>; Sat, 26 Jun 2010 20:20:13 +0000 (UTC)
	(envelope-from nobody@FreeBSD.org)
Received: from www.freebsd.org (www.freebsd.org [IPv6:2001:4f8:fff6::21])
	by mx1.freebsd.org (Postfix) with ESMTP id BE2D68FC15
	for <freebsd-gnats-submit@FreeBSD.org>; Sat, 26 Jun 2010 20:20:13 +0000 (UTC)
Received: from www.freebsd.org (localhost [127.0.0.1])
	by www.freebsd.org (8.14.3/8.14.3) with ESMTP id o5QKKCb3095073
	for <freebsd-gnats-submit@FreeBSD.org>; Sat, 26 Jun 2010 20:20:12 GMT
	(envelope-from nobody@www.freebsd.org)
Received: (from nobody@localhost)
	by www.freebsd.org (8.14.3/8.14.3/Submit) id o5QKKCE8095072;
	Sat, 26 Jun 2010 20:20:12 GMT
	(envelope-from nobody)
Message-Id: <201006262020.o5QKKCE8095072@www.freebsd.org>
Date: Sat, 26 Jun 2010 20:20:12 GMT
From: Olivier Cochard-Labb <olivier@cochard.me>
To: freebsd-gnats-submit@FreeBSD.org
Subject: [net/sslh] patch that add rc startup script
X-Send-Pr-Version: www-3.1
X-GNATS-Notify: jnlin@csie.nctu.edu.tw

>Number:         148170
>Category:       ports
>Synopsis:       net/sslh: patch that add rc startup script
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    bapt
>State:          closed
>Quarter:        
>Keywords:       
>Date-Required:  
>Class:          update
>Submitter-Id:   current-users
>Arrival-Date:   Sat Jun 26 20:30:07 UTC 2010
>Closed-Date:    Thu Aug 12 18:31:34 UTC 2010
>Last-Modified:  Thu Aug 12 18:40:01 UTC 2010
>Originator:     Olivier Cochard-Labb
>Release:        8.1-RC1
>Organization:
>Environment:
FreeBSD d630.bsdrp.net 8.1-RC1 FreeBSD 8.1-RC1 #71: Fri Jun 18 09:23:17 CEST 2010     root@d630.bsdrp.net:/usr/obj/usr/src/sys/DellD630  amd64

>Description:
Here is a patch (in diff format) that add rc script for net/sslh.

New file: net/sslh/File/sslh.in
Patched file: net/sslh/Makefile

Regards,


>How-To-Repeat:

>Fix:


Patch attached with submission follows:

diff -rupN sslh.orig/Makefile sslh/Makefile
--- sslh.orig/Makefile	2010-06-26 22:10:48.000000000 +0200
+++ sslh/Makefile	2010-06-26 13:24:40.000000000 +0200
@@ -19,6 +19,8 @@ USE_PERL5_BUILD=	yes
 MAN8=		sslh.8
 PLIST_FILES=	sbin/sslh
 
+USE_RC_SUBR=    sslh
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|^PREFIX=/usr/local|PREFIX=${PREFIX}|g' ${WRKSRC}/Makefile
 
diff -rupN sslh.orig/files/sslh.in sslh/files/sslh.in
--- sslh.orig/files/sslh.in	1970-01-01 01:00:00.000000000 +0100
+++ sslh/files/sslh.in	2010-06-26 13:15:57.000000000 +0200
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+# $FreeBSD$
+#
+# sslh startup script
+#
+# PROVIDE: sslh
+# REQUIRE: login
+# KEYWORD: shutdown
+
+#
+# Add the following to /etc/rc.conf[.local] to enable this service
+#
+# sslh_enable="YES"
+#
+# You can fine tune others variables too:
+# sslh_fib="NONE"
+# sslh_pidfile="/var/run/sslh.pid"
+# sslh_ssltarget="localhost:443"
+# sslh_sshtarget="localhost:22"
+# sslh_sshtimeout="2"
+# sslh_listening="0.0.0.0:8443"	
+# sslh_uid="nobody"
+# sslh_flags=""
+
+sslh_setfib() {
+	sysctl net.fibs >/dev/null 2>&1 || return 0
+
+	case "$sslh_fib" in
+	[Nn][Oo][Nn][Ee])
+		;;
+	*)
+		command="setfib -F ${sslh_fib} ${command}"
+		;;
+	esac
+} 
+
+. /etc/rc.subr
+
+name="sslh"
+rcvar=`set_rcvar`
+
+command="%%PREFIX%%/sbin/${name}"
+start_precmd="sslh_setfib"
+
+load_rc_config $name
+
+sslh_enable=${sslh_enable:-"NO"}
+sslh_fib=${sslh_fib:-"NONE"}
+sslh_listening=${sslh_listening:-"0.0.0.0:443"}
+sslh_sshtarget=${sslh_sshtarget:-"localhost:22"}
+sslh_ssltarget=${sslh_ssltarget:-"localhost:8443"}
+sslh_uid=${sslh_uid:-"nobody"}
+sslh_sshtimeout=${sslh_sshtimeout:-"2"}
+sslh_ssltarget=${sslh_ssltarget:-"localhost:8443"}
+
+pidfile=${sslh_pidfile:-"/var/run/sslh.pid"}
+
+command_args="-t ${sslh_sshtimeout} -p ${sslh_listening} \
+	-l ${sslh_ssltarget} -s ${sslh_sshtarget} -P ${pidfile} \
+	-u ${sslh_uid}"
+
+run_rc_command "$1"


>Release-Note:
>Audit-Trail:
State-Changed-From-To: open->feedback 
State-Changed-By: edwin 
State-Changed-When: Sat Jun 26 20:30:20 UTC 2010 
State-Changed-Why:  
Awaiting maintainers feedback (via the GNATS Auto Assign Tool) 

http://www.freebsd.org/cgi/query-pr.cgi?pr=148170 

From: Edwin Groothuis <edwin@FreeBSD.org>
To: jnlin@csie.nctu.edu.tw
Cc: bug-followup@FreeBSD.org
Subject: Re: ports/148170: [net/sslh] patch that add rc startup script
Date: Sat, 26 Jun 2010 20:30:17 UT

 Maintainer of net/sslh,
 
 Please note that PR ports/148170 has just been submitted.
 
 If it contains a patch for an upgrade, an enhancement or a bug fix
 you agree on, reply to this email stating that you approve the patch
 and a committer will take care of it.
 
 The full text of the PR can be found at:
     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/148170
 
 -- 
 Edwin Groothuis via the GNATS Auto Assign Tool
 edwin@FreeBSD.org

From: Jui-Nan Lin <jnlin@csie.nctu.edu.tw>
To: bug-followup@freebsd.org
Cc:  
Subject: Re: ports/148170: [net/sslh] patch that add rc startup script
Date: Sun, 27 Jun 2010 10:30:21 +0800

 Hi,
 
 Please commit it, thanks!
 
 On Sun, Jun 27, 2010 at 4:30 AM, Edwin Groothuis <edwin@freebsd.org> wrote:
 > Maintainer of net/sslh,
 >
 > Please note that PR ports/148170 has just been submitted.
 >
 > If it contains a patch for an upgrade, an enhancement or a bug fix
 > you agree on, reply to this email stating that you approve the patch
 > and a committer will take care of it.
 >
 > The full text of the PR can be found at:
 > =A0 =A0http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/148170
 >
 > --
 > Edwin Groothuis via the GNATS Auto Assign Tool
 > edwin@FreeBSD.org
 >
Responsible-Changed-From-To: freebsd-ports-bugs->bapt 
Responsible-Changed-By: bapt 
Responsible-Changed-When: Thu Aug 12 06:25:54 UTC 2010 
Responsible-Changed-Why:  
I'll take it. 

http://www.freebsd.org/cgi/query-pr.cgi?pr=148170 
State-Changed-From-To: feedback->closed 
State-Changed-By: bapt 
State-Changed-When: Thu Aug 12 18:31:32 UTC 2010 
State-Changed-Why:  
Committed. Thanks! 

http://www.freebsd.org/cgi/query-pr.cgi?pr=148170 

From: dfilter@FreeBSD.ORG (dfilter service)
To: bug-followup@FreeBSD.org
Cc:  
Subject: Re: ports/148170: commit references a PR
Date: Thu, 12 Aug 2010 18:34:37 +0000 (UTC)

 bapt        2010-08-12 18:31:19 UTC
 
   FreeBSD ports repository
 
   Modified files:
     net/sslh             Makefile 
   Added files:
     net/sslh/files       sslh.in 
   Log:
   Add rc script
   
   PR:             ports/148170
   Submitted by:   Olivier Cochard-Labbé <olivier _at_ cochard.me>
   Approved by:    rene@ (mentor vacation), Jui-Nan Lin <jnlin _at_ csie.nctu.edu.tw> (maintainer)
   
   Revision  Changes    Path
   1.2       +3 -0      ports/net/sslh/Makefile
   1.1       +63 -0     ports/net/sslh/files/sslh.in (new)
 _______________________________________________
 cvs-all@freebsd.org mailing list
 http://lists.freebsd.org/mailman/listinfo/cvs-all
 To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
 
>Unformatted:
